Bug 676600 - Need update of spacewalk-remote-utils with RHEL 5.6 channel definitions
Need update of spacewalk-remote-utils with RHEL 5.6 channel definitions
Status: CLOSED ERRATA
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
540
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Justin Sherrill
Jiri Kastner
:
Depends On:
Blocks: sat54-errata
  Show dependency treegraph
 
Reported: 2011-02-10 05:56 EST by Paresh Mutha
Modified: 2011-04-04 02:00 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-04-04 02:00:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Paresh Mutha 2011-02-10 05:56:21 EST
Description of problem:
/usr/share/rhn/channel-data/ doesn't have rhel 5.6 files

/usr/share/rhn/channel-data/5-u5-server-i386
/usr/share/rhn/channel-data/5-u5-server-i386-Clusterstorage
/usr/share/rhn/channel-data/5-u5-server-i386-Vt
/usr/share/rhn/channel-data/5-u5-server-i386-Cluster
/usr/share/rhn/channel-data/5-u5-server-i386-Supplementary

spacewalk-remote-utils package needs to be updated with RHEL 5.6 channel files else it fails with error.

# spacewalk-create-channel  --user=satadmin --server=satellite.example.com --version=5  --update=u6  --release=server  --arch=i386    --destChannel=my-stable-channel
Password: 
Error: data file '5-u6-server-i386' does not exist


Version-Release number of selected component (if applicable):
Red Hat Network Satellite v5.4

How reproducible:
Always

Steps to Reproduce:
Execute:
spacewalk-create-channel  --user=satadmin --server=satellite.example.com --version=5  --update=u6  --release=server  --arch=i386    --destChannel=my-stable-channel
  
Actual results:
Error: data file '5-u6-server-i386' does not exist

Expected results:
Channel should be created
Comment 4 Jan Pazdziora 2011-03-08 02:19:30 EST
While we are at it, spacewalk-remote-utils also misses RHEL 4.9.
Comment 6 Justin Sherrill 2011-03-10 09:57:55 EST
Fixed in spacewalk master: 
323eea7201cf90a6ef94d18e1a771155ff059527
851e38aad0079f7b89db0f6d4137ea0361d7e89c

added 4.9 and 5.6  data files.
Comment 10 Jiri Kastner 2011-03-30 12:32:00 EDT
made quick verification with empty channels, while waiting for sync
Comment 12 errata-xmlrpc 2011-04-04 02:00:21 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2011-0409.html

Note You need to log in before you can comment on or make changes to this bug.